Subject: [manet] AD Review of draft-ietf-manet-olsrv2-management-snapshot

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Fri, 29 May 2015 17:18:32 +0000

Hi!

I just finished reading this document.

To start, I have a couple of high-level questions, maybe related to the history:

  1.  The name is somewhat tentative ("snapshot”), so I’m wondering if there was a specific reason the WG wanted to make emphasis on a point in time.  [By the fact of publishing something it is already a snapshot at that time.]
  2.  The methodology presented is very open (almost sounding as “you can do this, but that and the other thing are also seen sometimes more or less often”).  I’m wondering (thinking out loud) what is the value of publishing this document if it represents more a narrative of potential options than a coherent look at how OLSRv2 networks are in fact managed (at least in the majority case, if that exists).  I know that the mobile nature of the networks contribute to the above, but the fact that the WG (according to the Shepherd’s writeup [https://datatracker.ietf.org/doc/draft-ietf-manet-olsrv2-management-snapshot/shepherdwriteup/]) didn’t show a lot of enthusiasm after adoption contributes to me wondering.

Other than that, my other comments are minor or nits (see below).

Assuming that the WG is still in support of this document moving forward, I am going to start the IETF Last Call and ask the Ops Directorate for an earlier-than-ususal review.  You can take my comments as part of the Last Call comments and incorporate them before the IESG review/discussion.

Thanks!

Alvaro.

Minor:

  1.  Introduction. "The MANET routing protocol OLSRv2 [RFC7181], as well as its constituent parts NHDP [RFC6130], [RFC5497], [RFC5148], [RFC5444],  [RFC7182], [RFC7183], [RFC7187], [RFC7188] is designed to autonomously maintain routes across a dynamic network topology.”  Are all these references needed?  Some of these references already update rfc7181 or rfc6130, which I think make them superfluous at this point.  [Note that I’m not suggesting not to use the specific RFCs as references elsewhere in the document if needed, just that at this point it seems like overkill.  For example, 5148, 7188 and 7187 are only referenced here.]
  2.  Section 3.3 (Security Material)  You made a couple of good points here about some networks not using any security and about the used of different mechanisms for key distribution.  It would be good to see some of this discussion in the Security Considerations section as well.
  3.  Section 3.4. (The Value of C).  C needs to be configured; is there a recommended initial value to be used?  [If I’m missing something obvious about this, please point me in the right direction.]
  4.  Section 4.2.  (External Management)
     *   "In some deployments, the NMS communicates with individual routers by way of SNMP - and, more commonly, by way of "proprietary" simpler, less verbose and (often) less secure protocols, and over UDP.”   Not issuing a recommendation or judgement, but because this document is reflecting current practice, it would be a good idea to also mention the potential risk of using “less secure” protocols in the Security Considerations section.
     *   “Note that this does not constitute a recommendation, but rather an observation..”  While the rest of that paragraph is true, I don’t think it belongs in this document.  In fact, it would be a good seed for discussion around the rechartering of the WG.
  5.  Section 7 (This Document does not Constrain how to Manage and Monitor MANETs)  I think that this section would have a higher impact if made a sub-section of the Introduction as it somewhat sets the tone for the rest of the document.
  6.  References.  I think that rfc7181 should be Normative as an understanding of OLSRv2 is needed to comprehend the document itself.

Nits:

  1.  Abstract.  It is not too long, but it rambles a bit.  Something more concise should do, with the rest moved to the Introduction:
     *   NEW>
     *      This document describes how Optimized Link State Routing protocol version 2 (OLSRv2)
     *      Routed Mobile Ad Hoc Networks (MANETs) are typically managed in terms of
     *      pre-deployment, as well as rationale and means of monitoring and management of
     *      MANET routers, including the MANET Neighborhood Discovery Protocol (NHDP).
  2.  Section 5 (What and Why do we Manage and Monitor?).
     *   Please expand “TC”.
     *   “..by an NMS in each router”  I think you mean here “by internal management”, to be consistent.